---
title: CSSVariableReferenceValue.variable
slug: Web/API/CSSVariableReferenceValue/variable
tags:
  - API
  - CSS Typed Object Model API
  - CSSVariableReferenceValue
  - Houdini
  - NeedsExample
  - Property
  - Reference
  - variable
---
<div>{{draft}}{{APIRef("CSSOM")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>variable</code></strong> property of the {{domxref("CSSVariableReferenceValue")}} interface returns the <a href="/en-US/docs/Web/CSS/--*">custom property name</a> of the {{domxref("CSSVariableReferenceValue")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var variable = <var>cssVariableReferenceValue</var>.variable;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('USVString')}} beginning with <code>--</code> (that is, a <a href="/en-US/docs/Web/CSS/--*">custom property name</a>).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-cssvariablereferencevalue-variable','variable')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSVariableReferenceValue.variable")}}</p>
